#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include"svg.h"
#include <curl/curl.h>


using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};

};

Input
input_data(istream& inx){
    bool prompt= true;
    size_t number_count;
    if (prompt) cerr << "Input amount of numbers: ";
    cin >> number_count;

    Input in;
    in.numbers.resize(number_count);
    if (prompt) cerr << "Input some numbers: ";
    for (size_t i = 0; i < number_count; i++) {
        inx >> in.numbers[i];
    }
    if (prompt) cerr << "Input amount of bockses: ";
    inx >> in.bin_count;
    return in;
}
int
main(int argc, char* argv[]) {
    if (argc>1){
    CURL *curl = curl_easy_init();
    if(curl) {
        CURLcode res;
        curl_easy_setopt(curl, CURLOPT_URL, argv[1]);
        res = curl_easy_perform(curl);
          if(res != CURLE_OK){
                cerr << curl_easy_strerror(res);
                exit(1);
            }
        curl_easy_cleanup(curl);
};
}
    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers,in.bin_count);
    show_histogram_svg(bins);
}
